org.eclipse.microprofile.reactive.messaging.tck.metrics

## Class TestConnector

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.metrics.TestConnector

All Implemented Interfaces:
  ConnectorFactory, IncomingConnectorFactory, OutgoingConnectorFactory

    @ApplicationScoped
    public class TestConnector
    extends Object
    implements IncomingConnectorFactory, OutgoingConnectorFactory

### Field Summary

Fields
`static String` `ID`

### Fields inherited from interface org.eclipse.microprofile.reactive.messaging.spi.ConnectorFactory

`CHANNEL_NAME_ATTRIBUTE, CONNECTOR_ATTRIBUTE, CONNECTOR_PREFIX, INCOMING_PREFIX, OUTGOING_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`TestConnector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Message<String>` `get(String channel)`
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<? extends Message<String>>` `getPublisherBuilder(org.eclipse.microprofile.config.Config config)`
`org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<? extends Message<String>,Void>` `getSubscriberBuilder(org.eclipse.microprofile.config.Config config)`
`void` `send(String channel, Message<String> message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

See Also:
  Constant Field Values

### Constructor Detail

#### TestConnector

    public TestConnector()

### Method Detail

#### getSubscriberBuilder

    public org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<? extends Message<String>,Void> getSubscriberBuilder(org.eclipse.microprofile.config.Config config)

Specified by:
  `getSubscriberBuilder` in interface `OutgoingConnectorFactory`

#### getPublisherBuilder

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<? extends Message<String>> getPublisherBuilder(org.eclipse.microprofile.config.Config config)

Specified by:
  `getPublisherBuilder` in interface `IncomingConnectorFactory`

#### send

    public void send(String channel,
                     Message<String> message)

#### get

    public Message<String> get(String channel)